aagc.ws

## Class AAGC

- java.lang.Object
- - aagc.ws.AAGC

-     public class AAGC
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAGC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteMovimentoLottoResItem` | `deleteMovimentoLotto(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String idMovimentoLotto, java.lang.String codiceFiscaleVaccinatore)` Il servizio consente di cancellare i dati di una movimentazione lotto precedentemente trasmessi a GIAVA.
    `DeleteVaccinazioneResItem` | `deleteVaccinazione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String idVaccinazione, java.lang.String codiceFiscaleVaccinatore)` Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.
    `AssistibileGetAssistibileInAnagrafe` | `getAssistibileInAnagrafe(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codAssistito, java.lang.String dataRiferimento)` Servizio che fornisce tutti i dati necessari ad una completa descrizione della posizione anagrafica dell'assistito ad una certa data di riferimento; l'assistito sarà individuato mediante codice fiscale.
    `AssistibiliResponse` | `getAssistibili(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codFiscale, java.lang.String codSanitario, Filtro_grp filtro_grp)` Questo servizio consente di ritrovare la posizione anagrafica di uno o più assistibili presenti nell'anagrafe sanitaria della Regione Puglia, che soddisfano il criterio di ricerca specificato.
    `GetElencoAssistibiliPianoECareResponse` | `getElencoAssistibiliPianoECare(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceRegionale)` Questo servizio consente di recuperare l'elenco degli assistiti eleggibili.
    `GetElencoPAIResponse` | `getElencoPAI(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, ElencoPAIRequest filtriRequest)` Servizio che consente al medico di base scaricare l'elenco dei PAI associati ad un assistito.
    `GetElencoPAIDomiciliareResponse` | `getElencoPAIDomiciliare(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, GetElencoPAIDomiciliare criteriRicerca)` Servizio che consente al medico di base scaricare l'elenco dei PAI domiciliari.
    `GetElencoPianoTerapeuticoDemResponse` | `getElencoPianoTerapeutico(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, GetElencoPianoTerapeuticoDemRequest filtriRequest)` Servizio che consente di ricercare nel SistemaTS i Piani Terapeutici dematerializzati per un determinato assistito.
    `EsenzioniAttiveResponse` | `getEsenzioniAttive(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codFiscale, java.lang.String dataRiferimento)` Questo servizio consente di recuperare i dati relativi alle esenzioni dalla partecipazione al costo delle prestazioni sanitarie riconosciute, ad una certa data, al cittadino il cui codice fiscale è specificato in input.
    `ListaAssistitiMedicoResponse` | `getListaAssistitiMedico(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceMedico, java.lang.String dataRiferimento)` Questo servizio consente di ritrovare i dati anagrafici di uno o più assistibili, presenti nell'anagrafe sanitaria della Regione Puglia, che alla data di riferimento risultano in carico al medico con codice regionale fornito in input.
    `ListaEsentiResponse` | `getListaEsenti(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codRegionale)` Questo servizio consente di recuperare l'elenco degli assistiti in carico alla data di sistema al medico di base specificato.
    `ListaScelteRevocheResponse` | `getListaScelteRevoche(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceMedico, java.lang.String dataInizioPeriodo, java.lang.String dataFinePeriodo)` Questo servizio consente di ritrovare, per un medico il cui codice è fornito in input, la lista dei movimenti di scelta e revoca degli assistiti in un periodo di riferimento.
    `GetMovimentiLottoResponseItem` | `getMovimentiLotto(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscaleVaccinatore, java.lang.String dataInizio, java.lang.String dataFine)` Il servizio consente di ottenere i dati di una movimentazione lotto precedentemente trasmessi a GIAVA da lui effettuate in un intervallo di tempo.
    `GetPianoAssistenzialeDomiciliareResponse` | `getPianoAssistenzialeDomiciliare(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, PianoAssistenzialeResidenzialeRequest filtriRequest)` Servizio che consente al medico di base scaricare il piano assistenziale domiciliare.
    `GetPianoTerapeuticoDemResponse` | `getPianoTerapeuticoDem(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, GetPianoTerapeuticoDem filtriRequest)` Servizio che consente di consultare i dati di un determinato Piano Terapeutico dematerializzato.
    `GetVaccinazioniResponseItem` | `getVaccinazioni(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscaleInvocante, java.lang.String tipologiaErogatore, java.lang.String codiceFiscaleAssistito)` Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.
    `SetAccessoDomiciliareResponse` | `setAccessoDomiciliare(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, AccessoDomiciliareRequest filtriRequest)` Servizio che consente al medico di base inserire l'accesso domiciliare.
    `SetAnnullaPianoTerapeuticoDemResponse` | `setAnnullaPianoTerapeuticoDem(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, SetAnnullaPianoTerapeuticoDem filtriRequest)` Servizio che consente di annullare nel SistemaTS uno specifico Piano Terapeutico dematerializzato.
    `SetDCRMazzetteResponse` | `setDCRMazzette(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, DcrMazzetteRequest filtriRequest)` Servizio per la registrazione della Distinta Contabile Riepilogativa, delle mazzette associate e delle eventuali rettifiche per la farmacia indicata nella richiesta.
    `SetDettaglioRicetteResponse` | `setDettaglioRicette(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, DettaglioRicetteRequest filtriRequest)` Il servizio consente l'invio da parte dei sistemi cooperanti dei dati di dettaglio delle ricette relative alla DCR contabilizzate per la mensilità di competenza.
    `SetAssistitiPianoECareResponse` | `setElencoAssistibiliPianoECare(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceRegionale, SetAssistitiPianoECareRequest.AssistitiInviatiPianoECare assistitiInviatiPianoECare, java.lang.String totaleAssistitiInviati)` Servizio che consente al medico di validare l’elenco ricevuto da Edotto, eventualmente integrato di ulteriori assistiti ritenuti cronici.
    `SetInsertBilancioDiSaluteMedicoPLSResponse` | `setInsertBilancioDiSaluteMedicoPLS(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, InsertBilancioDiSaluteRequest filtriRequest)` Servizio che consente al medico di base di inseirire il bilancio di salute associato ad un assistito.
    `SetInsertPrestazioneAggiuntivaMedicoBaseResponse` | `setInsertPrestazioneAggiuntivaMedicoBase(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, InsertPrestazioneAggiuntivaRequest filtriRequest)` Servizio che consente al medico di base di inseirire una prestazione aggiuntiva.
    `SetMovimentoLottoResItem` | `setMovimentoLotto(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscaleVaccinatore, java.lang.String dataMovimento, java.lang.String codiceAIC, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String causale, java.lang.String quantita)` Il servizio consente di memorizzare i dati di una movimentazione lotto a GIAVA.
    `SetPianoTerapeuticoDemResponse` | `setPianoTerapeuticoDem(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, SetPianoTerapeuticoDem filtriRequest)` Servizio che consente di inviare/modificare al SistemaTS un Piano Terapeutico dematerializzato.
    `SetVaccinazioneResItem` | `setVaccinazione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codiceFiscaleVaccinatore, java.lang.String tipologiaErogatore, java.lang.String codiceStruttura, java.lang.String codiceFiscaleAssistito, java.lang.String condizioneRischio, java.lang.String categoriaRischio, java.lang.String codiceAIC, java.lang.String viaSomministrazione, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String modalitaPagamento, java.lang.String dataSomministrazione, java.lang.String sitoInoculazione, java.lang.String oscuramentoFSE, StatoGravidanzaItem statoGravidanza, java.lang.String somministrazioneDomiciliare, java.lang.String numeroCellulare, java.lang.String contattoMail)` Il servizio consente di trasmettere a GIAVA i dati relativi alle vaccinazioni somministrate da MMG/PLS.
    `UpdateMovimentoLottoResItem` | `updateMovimentoLotto(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String idMovimentoLotto, java.lang.String codiceFiscaleVaccinatore, java.lang.String dataMovimento, java.lang.String codiceAIC, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String causale, java.lang.String quantita)` Il servizio consente di modificare i dati di una movimentazione lotto precedentemente trasmessi a GIAVA.
    `UpdateVaccinazioneResItem` | `updateVaccinazione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String idVaccinazione, java.lang.String codiceFiscaleVaccinatore, java.lang.String tipologiaErogatore, java.lang.String codiceStruttura, java.lang.String codiceFiscaleAssistito, java.lang.String condizioneRischio, java.lang.String categoriaRischio, java.lang.String codiceAIC, java.lang.String viaSomministrazione, java.lang.String numeroLotto, java.lang.String scadenzaLotto, java.lang.String modalitaPagamento, java.lang.String dataSomministrazione, java.lang.String sitoInoculazione, java.lang.String oscuramentoFSE, StatoGravidanzaItem statoGravidanza, java.lang.String somministrazioneDomiciliare, java.lang.String numeroCellulare, java.lang.String contattoMail)` Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AAGC

          public AAGC()

  - ### Method Detail

    - #### getAssistibileInAnagrafe

          public AssistibileGetAssistibileInAnagrafe getAssistibileInAnagrafe(DatiOperatore datiOperatore,
                                                                              DatiApplicativo datiApplicativo,
                                                                              java.lang.String codAssistito,
                                                                              java.lang.String dataRiferimento)

      Servizio che fornisce tutti i dati necessari ad una completa descrizione della posizione anagrafica dell'assistito ad una certa data di riferimento; l'assistito sarà individuato mediante codice fiscale. Nel caso in cui il cittadino risulti iscritto in anagrafe, verranno forniti i dati relativi all'eventuale iscrizione attiva e all'indicazione del medico scelto. I dati attinenti il domicilio dell'assistito e la sua cittadinanza, verranno forniti solo se la data di riferimento impostata risulti uguale a quella di richiesta del servizio.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codAssistito` - - codice fiscale dell'assistito da ricercare. parametro obbligatorio.
        `dataRiferimento` - - data di riferimento nel formato 'GG/MM/YYYY'. Questa data non deve essere successiva a quella odierna. parametro obbligatorio.
      Returns:
        AssistibileGetAssistibileInAnagrafe dati dell'assistibile in anagrafe ritrovato.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000005: Dato non valido: codice fiscale o codice sanitario
        - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getAssistibili

          public AssistibiliResponse getAssistibili(DatiOperatore datiOperatore,
                                                    DatiApplicativo datiApplicativo,
                                                    java.lang.String codFiscale,
                                                    java.lang.String codSanitario,
                                                    Filtro_grp filtro_grp)

      Questo servizio consente di ritrovare la posizione anagrafica di uno o più assistibili presenti nell'anagrafe sanitaria della Regione Puglia, che soddisfano il criterio di ricerca specificato. La ricerca verrà eseguita per codice fiscale o codice regionale o, in alternativa, combinando le seguenti proprietà: il nome (anche parziale), il cognome (che dovrà essere specificato per intero), il codice ISTAT del comune di nascita, la data (nel formato 'GG/MM/AAAA') oppure l'anno (nel formato 'AAAA') di nascita ed il sesso. Il servizio restituirà al massimo un solo assistito nel caso in cui sia stato inserito l'identificativo dell'assistito (codice fiscale o codice sanitario) o se i criteri di ricerca inseriti ne permettono l'individuazione univoca. Restituirà un elenco nel caso in cui gli assistiti presenti nell'anagrafe sanitaria che soddisfano i criteri di ricerca siano più di uno. Il servizio ritorna solo il codice fiscale, il cognome ed il nome di un assistito nel caso in cui questo non abbia iscrizione USL attiva alla data odierna. Nel caso di cambio di codice fiscale il servizio restituisce anche il nuovo codice fiscale ossia il codice fiscale che sostituisce la posizione anagrafica restituita per quell'assistito.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codFiscale` - - codice fiscale dell'assistito da ricercare. parametro facoltativo.
        `codSanitario` - - codice sanitario dell'assistito da ricercare. parametro facoltativo.
        `filtro_grp` - - filtri di ricerca. parametro facoltativo.
      Returns:
        AssistibiliResponse elenco di assistibili che soddisfano i criteri di ricerca.
      Throws:
        `SoapFaultException:` - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 000014: Inserire il codice assistito oppure gli altri dati.
        - 000005: Dato non valido: cognome, nome o anno di nascita
        - 000052: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi.
        - 000017: La data inserita non è valida perché posteriore a quella odierna.
        - 000053: L'anno inserito non è valido in quanto successivo a quello attuale.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getListaAssistitiMedico

          public ListaAssistitiMedicoResponse getListaAssistitiMedico(DatiOperatore datiOperatore,
                                                                      DatiApplicativo datiApplicativo,
                                                                      java.lang.String codiceMedico,
                                                                      java.lang.String dataRiferimento)

      Questo servizio consente di ritrovare i dati anagrafici di uno o più assistibili, presenti nell'anagrafe sanitaria della Regione Puglia, che alla data di riferimento risultano in carico al medico con codice regionale fornito in input. La ricerca verrà eseguita utilizzando il codice regionale e la data di riferimento.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceMedico` - - codice regionale del medico di base. E' un numerico di lunghezza 6. parametro obbligatorio.
        `dataRiferimento` - - data di riferimento nel formato 'GG/MM/YYYY'. parametro obbligatorio. Questa data non deve essere successiva a quella odierna.
      Returns:
        ListaAssistitiMedicoResponse elenco di assistiti in carico al medico.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000153: E' obbligatorio inserire la data di riferimento.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000006: Inserire correttamente la data, specificando GG MM AAAA.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getListaScelteRevoche

          public ListaScelteRevocheResponse getListaScelteRevoche(DatiOperatore datiOperatore,
                                                                  DatiApplicativo datiApplicativo,
                                                                  java.lang.String codiceMedico,
                                                                  java.lang.String dataInizioPeriodo,
                                                                  java.lang.String dataFinePeriodo)

      Questo servizio consente di ritrovare, per un medico il cui codice è fornito in input, la lista dei movimenti di scelta e revoca degli assistiti in un periodo di riferimento. Per tali occorrenze, il servizio riporta le date di movimentazione e le date di registrazione della variazione di scelta e revoca.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceMedico` - - codice regionale del medico di base. parametro obbligatorio.
        `dataInizioPeriodo` - - Inizio periodo di riferimento su cui effettuare la ricerca. Il formato deve essere 'GG/MM/YYYY'. parametro obbligatorio.
        `dataFinePeriodo` - - Fine periodo di riferimento su cui effettuare la ricerca. Il formato deve essere 'GG/MM/YYYY'. parametro obbligatorio.
      Returns:
        ListaScelteRevocheResponse elenco delle operazioni di scelta e/o revoca ritrovate.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000061: Valorizzare almeno un periodo di ricerca.
        - 000062: Il periodo di ricerca non è valido; impostare la data di inizio periodo.
        - 000006: Inserire correttamente la data, specificando GG MM AAAA.
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000122: Il periodo di ricerca non è valido; impostare la data di fine periodo.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getEsenzioniAttive

          public EsenzioniAttiveResponse getEsenzioniAttive(DatiOperatore datiOperatore,
                                                            DatiApplicativo datiApplicativo,
                                                            java.lang.String codFiscale,
                                                            java.lang.String dataRiferimento)

      Questo servizio consente di recuperare i dati relativi alle esenzioni dalla partecipazione al costo delle prestazioni sanitarie riconosciute, ad una certa data, al cittadino il cui codice fiscale è specificato in input. Il cittadino deve risultare alla data di invocazione in carico al medico di base che invoca il servizio. Il servizio inoltre ritorna, per le sole esenzioni specialistiche, le prestazioni specialistiche correlate per le quali l'assistito non partecipa alla spesa sanitaria. Se l'esenzione non prevede restrizioni e quindi agisce sull'intero tarrifario, le prestazioni specialistiche correlate non vengono restituite.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codFiscale` - - codice fiscale dell'assistito. parametro obbligatorio.
        `dataRiferimento` - - data alla quale si riferisce la richiesta. Il formato deve essere 'GG/MM/YYYY'. Questa data non deve essere successiva a quella odierna. parametro obbligatorio.
      Returns:
        EsenzioniAttiveResponse elenco delle esenzioni attive.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale
        - 000005: Dato non valido
        - 000017: La data inserita non e' valida perche' posteriore a quella odierna
        - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
        - 000313: Alla data odierna l'assistito non risulta essere in carico al medico di base.

    - #### getListaEsenti

          public ListaEsentiResponse getListaEsenti(DatiOperatore datiOperatore,
                                                    DatiApplicativo datiApplicativo,
                                                    java.lang.String codRegionale)

      Questo servizio consente di recuperare l'elenco degli assistiti in carico alla data di sistema al medico di base specificato. Per ognuno di essi, oltre al codice fiscale, il servizio restituisce le esenzioni riconosciute alla data odierna all'assistito (codificate con 8 caratteri ed il gruppo a 3 caratteri) ed inoltre ritorna, per le sole esenzioni specialistiche, le prestazioni specialistiche correlate per le quali l'assistito non partecipa alla spesa sanitaria. Se l'esenzione non prevede restrizioni e quindi agisce sull'intero tarrifario, le prestazioni specialistiche correlate non vengono restituite.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codRegionale` - - codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
      Returns:
        ListaEsentiResponse dati relativi agli assistiti in carico con eventuali esenzioni.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

    - #### getElencoAssistibiliPianoECare

          public GetElencoAssistibiliPianoECareResponse getElencoAssistibiliPianoECare(DatiOperatore datiOperatore,
                                                                                       DatiApplicativo datiApplicativo,
                                                                                       java.lang.String codiceRegionale)

      Questo servizio consente di recuperare l'elenco degli assistiti eleggibili. La ASL produce in Edotto un elenco di assistiti eleggibili in carico a ciascun medico. Gli elenchi vengono resi disponibili al download mediante questo servizio. Ciascun medico, a partire dalla data di disponibilità in Edotto dell’elenco degli assistiti eleggibili, ha 30 giorni di tempo per scaricare i dati sul proprio applicativo, confermando, modificando o aggiungendo nuovi assistiti sulla base del proprio parere. Terminata la verifica, il medico trasmette l’intero elenco verso Edotto, eventualmente integrato di ulteriori assistiti, mediante il servizio setElencoAssistibiliPianoECare.
      Parameters:
        `datiOperatore` - - dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceRegionale` - - codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
      Returns:
        ElencoAssistibiliPianoECareResponse restituisce l’elenco degli assistiti eleggibili.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setElencoAssistibiliPianoECare

          public SetAssistitiPianoECareResponse setElencoAssistibiliPianoECare(DatiOperatore datiOperatore,
                                                                               DatiApplicativo datiApplicativo,
                                                                               java.lang.String codiceRegionale,
                                                                               SetAssistitiPianoECareRequest.AssistitiInviatiPianoECare assistitiInviatiPianoECare,
                                                                               java.lang.String totaleAssistitiInviati)

      Servizio che consente al medico di validare l’elenco ricevuto da Edotto, eventualmente integrato di ulteriori assistiti ritenuti cronici.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceRegionale` - - Codice regionale del medico di base. Il codice regionale specificato deve essere coerente con il codice fiscale specificato in DatiOperatore. parametro obbligatorio.
        `assistitiInviatiPianoECare` - - Elenco degli assistiti da validare. parametro obbligatorio.
        `totaleAssistitiInviati` - - Numero totale di assistibili trasmessi. parametro obbligatorio.
      Returns:
        SetAssistitiPianoECareResponse restituisce l'esito dell'operazione. In caso di esito negativo restituisce l'elenco delle anomalie. Ciascuna anomalia è composta dal codFiscale - Codice fiscale dell’assistito con anomalia e descAnomalia - Descrizione dell’anomalia.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setInsertPrestazioneAggiuntivaMedicoBase

          public SetInsertPrestazioneAggiuntivaMedicoBaseResponse setInsertPrestazioneAggiuntivaMedicoBase(DatiOperatore datiOperatore,
                                                                                                           DatiApplicativo datiApplicativo,
                                                                                                           InsertPrestazioneAggiuntivaRequest filtriRequest)

      Servizio che consente al medico di base di inseirire una prestazione aggiuntiva.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - dateErogazionePrestazione,
        - qtaPrestazioni,
        - codPrestazione,
        - codRegionale,
        - codiceFiscaleAssistito.
      Returns:
        setInsertPrestazioneAggiuntivaMedicoBase restituisce l'esito dell'operazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setInsertBilancioDiSaluteMedicoPLS

          public SetInsertBilancioDiSaluteMedicoPLSResponse setInsertBilancioDiSaluteMedicoPLS(DatiOperatore datiOperatore,
                                                                                               DatiApplicativo datiApplicativo,
                                                                                               InsertBilancioDiSaluteRequest filtriRequest)

      Servizio che consente al medico di base di inseirire il bilancio di salute associato ad un assistito.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - dataErogazioneBilancio,
        - codRegionale,
        - codiceFiscaleAssistito,
        - comportamento (ripetibile, composto dai 2 sottoparametri seguenti)
          - codSiglatura
          - numComportamento
        - numBilancio.
      Returns:
        setInsertPrestazioneAggiuntivaMedicoBase restituisce l'esito dell'operazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### getElencoPAIDomiciliare

          public GetElencoPAIDomiciliareResponse getElencoPAIDomiciliare(DatiOperatore datiOperatore,
                                                                         DatiApplicativo datiApplicativo,
                                                                         GetElencoPAIDomiciliare criteriRicerca)

      Servizio che consente al medico di base scaricare l'elenco dei PAI domiciliari.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `criteriRicerca` - - comprende i seguenti parametri:
        - codiceNazionale,
        - distretto,
        - dataInizioRiferimento,
        - dataFineRiferimento,
        - tipologiaAssistenzaAutorizzata.
      Returns:
        getElencoPAIDomiciliare restituisce l'elenco dei PAI domiciliari.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### getElencoPAI

          public GetElencoPAIResponse getElencoPAI(DatiOperatore datiOperatore,
                                                   DatiApplicativo datiApplicativo,
                                                   ElencoPAIRequest filtriRequest)

      Servizio che consente al medico di base scaricare l'elenco dei PAI associati ad un assistito.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - distretto,
        - codiceFiscale,
        - dataInizioRiferimento,
        - dataFineRiferimento,
        - codiceStruttura,
        - codiceNazionale.
      Returns:
        getElencoPAI restituisce l'elenco dei PAI associati ad un assistito
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### getPianoAssistenzialeDomiciliare

          public GetPianoAssistenzialeDomiciliareResponse getPianoAssistenzialeDomiciliare(DatiOperatore datiOperatore,
                                                                                           DatiApplicativo datiApplicativo,
                                                                                           PianoAssistenzialeResidenzialeRequest filtriRequest)

      Servizio che consente al medico di base scaricare il piano assistenziale domiciliare.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - che comprende l'id del piano assistenza domiciliare.
      Returns:
        getPianoAssistenzialeDomiciliare restituisce il piano assistenziale domiciliare
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setAccessoDomiciliare

          public SetAccessoDomiciliareResponse setAccessoDomiciliare(DatiOperatore datiOperatore,
                                                                     DatiApplicativo datiApplicativo,
                                                                     AccessoDomiciliareRequest filtriRequest)

      Servizio che consente al medico di base inserire l'accesso domiciliare.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - "dataAccesso",
        - "oraFine",
        - "oraInizio",
        - "codiceCategoriaOperatore",
        - "numQta",
        - "descrizioniNote",
        - "flagFestivoPrefestivo",
        - "codiceErogatore",
        - "numKmPercorsi",
        - "identificativoPianoAssistenziale",
        - "identificativoIntervento",
        - "incaricoAmbulatoriale",
        - "incaricoContinuitaAssistenziale",
        - "elencoPrestazioni",
        - "tipologiaErogatore",
        - "codiceFiscaleOperatoreDelegato",
        - "cognomeOperatoreDelegato",
        - "nomeOperatoreDelegato"
      Returns:
        setAccessoDomiciliare restituisce l'esito dell'operazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setVaccinazione

          public SetVaccinazioneResItem setVaccinazione(DatiOperatore datiOperatore,
                                                        DatiApplicativo datiApplicativo,
                                                        java.lang.String codiceFiscaleVaccinatore,
                                                        java.lang.String tipologiaErogatore,
                                                        java.lang.String codiceStruttura,
                                                        java.lang.String codiceFiscaleAssistito,
                                                        java.lang.String condizioneRischio,
                                                        java.lang.String categoriaRischio,
                                                        java.lang.String codiceAIC,
                                                        java.lang.String viaSomministrazione,
                                                        java.lang.String numeroLotto,
                                                        java.lang.String scadenzaLotto,
                                                        java.lang.String modalitaPagamento,
                                                        java.lang.String dataSomministrazione,
                                                        java.lang.String sitoInoculazione,
                                                        java.lang.String oscuramentoFSE,
                                                        StatoGravidanzaItem statoGravidanza,
                                                        java.lang.String somministrazioneDomiciliare,
                                                        java.lang.String numeroCellulare,
                                                        java.lang.String contattoMail)

      Il servizio consente di trasmettere a GIAVA i dati relativi alle vaccinazioni somministrate da MMG/PLS.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio.
        `tipologiaErogatore` - - Tipologia dell'erogatore :
        - “0” Istituto di ricovero pubblico o privato
        - “1” Altra struttura sanitaria pubblica o privata accreditata (ambulatori, laboratori, strutture residenziali e semiresidenziali di assistenza sanitaria agli anziani, a pazienti con disabilità, hospice, consultori, strutture per la salute mentale, SERT, etc.)
        - “2” Centro vaccinale
        - “3” Medico di Medicina Generale (MMG)
        - “4” Pediatra di Libera Scelta (PLS)
        - “5” Specialista
        - “6” Altro
        obbligatorio.
        `codiceStruttura` - - Struttura di appartenenza del soggetto vaccinatore. obbligatorio.
        `codiceFiscaleAssistito` - - Codice fiscale dell’assistito vaccinato. obbligatorio.
        `condizioneRischio` - - Condizione Sanitaria a Rischio dell’assistito vaccinato. obbligatorio.
        `categoriaRischio` - - Categoria a Rischio cui appartiene l’assistito vaccinato. obbligatorio.
        `codiceAIC` - - Codice dell’Autorizzazione all’Immissione in Commercio del vaccino somministrato. obbligatorio.
        `viaSomministrazione` - - Via di Somministrazione del vaccino. Può assumere i valori:
        - “01” se Intramuscolare,
        - “02” se Sottocutanea,
        - “03” se Intradermica,
        - “04” se Orale,
        - “05” se altra via.
        obbligatorio.
        `numeroLotto` - - Numero identificativo del lotto di produzione del vaccino somministrato. obbligatorio.
        `scadenzaLotto` - - Data di scadenza del lotto di appartenenza del vaccino somministrato, in formato aaaa-mm-gg. obbligatorio.
        `modalitaPagamento` - - Modalità di pagamento della prestazione vaccinale. Può assumere i seguenti valori:
        - “01” a carico del SSN;
        - “02” in compartecipazione o a prezzo sociale;
        - “03” integralmente a carico dell’assistito.
        Nel caso di vaccinazioni AI, AP, AZ, effettuate dal medico ad un proprio assistito deve assumere il valore “01”. obbligatorio.
        `dataSomministrazione` - - Data di somministrazione in formato aaaa-mm-gg. obbligatorio.
        `sitoInoculazione` - - Sito di inoculazione del vaccino.Può assumere i seguenti valori:
        - “01” per deltoide sinistro,
        - “02” per deltoide destro,
        - “03” per quadricipite della coscia sinistra,
        - “04” per quadricipite della coscia destra,
        - “05” per gluteo sinistro,
        - “06” per gluteo destro,
        - “07” per altro sito, Il valore “07” può essere usato solo in combinazione con i valori “04” o “05” della viaSomministrazione.
        obbligatorio.
        `oscuramentoFSE` - - Volontà espressa dall’Assistito relativa all’invio dei dati allo FSE in chiaro oppure oscurati. Valori ammessi:
        - False (0) se l’Assistito non intende oscurare l’evento nel FSE;
        - True (1) se l’Assistito intende oscurare l’evento nel FSE.
        Valore di default dell’applicativo può essere False (0) obbligatorio.
        `statoGravidanza` - - Valori ammessi:
        - 0 - donna non in gravidanza;
        - 1 - donna in gravidanza;
        obbligatorio.
        `somministrazioneDomiciliare` - - Valori ammessi:
        - False (0) se la somministrazione NON è stata effettuata presso il domicilio dell'Assistito;
        - True (1) se la somministrazione è stata effettuata presso il domicilio dell'Assistito.
        obbligatorio.
        `numeroCellulare` - - Numero di telefono cellulare dell'Assistito.
        `contattoMail` - - Indirizzo email dell'Assistito.
      Returns:
        SetVaccinazioneResItem restituisce l'esito dell'operazione e l'id vaccinazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### updateVaccinazione

          public UpdateVaccinazioneResItem updateVaccinazione(DatiOperatore datiOperatore,
                                                              DatiApplicativo datiApplicativo,
                                                              java.lang.String idVaccinazione,
                                                              java.lang.String codiceFiscaleVaccinatore,
                                                              java.lang.String tipologiaErogatore,
                                                              java.lang.String codiceStruttura,
                                                              java.lang.String codiceFiscaleAssistito,
                                                              java.lang.String condizioneRischio,
                                                              java.lang.String categoriaRischio,
                                                              java.lang.String codiceAIC,
                                                              java.lang.String viaSomministrazione,
                                                              java.lang.String numeroLotto,
                                                              java.lang.String scadenzaLotto,
                                                              java.lang.String modalitaPagamento,
                                                              java.lang.String dataSomministrazione,
                                                              java.lang.String sitoInoculazione,
                                                              java.lang.String oscuramentoFSE,
                                                              StatoGravidanzaItem statoGravidanza,
                                                              java.lang.String somministrazioneDomiciliare,
                                                              java.lang.String numeroCellulare,
                                                              java.lang.String contattoMail)

      Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `idVaccinazione` - - Codice identificativo della Vaccinazione oggetto di modifica. obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio.
        `tipologiaErogatore` - - Tipologia dell'erogatore :
        - “0” Istituto di ricovero pubblico o privato
        - “1” Altra struttura sanitaria pubblica o privata accreditata (ambulatori, laboratori, strutture residenziali e semiresidenziali di assistenza sanitaria agli anziani, a pazienti con disabilità, hospice, consultori, strutture per la salute mentale, SERT, etc.)
        - “2” Centro vaccinale
        - “3” Medico di Medicina Generale (MMG)
        - “4” Pediatra di Libera Scelta (PLS)
        - “5” Specialista
        - “6” Altro
        obbligatorio.
        `codiceStruttura` - - Struttura di appartenenza del soggetto vaccinatore. obbligatorio.
        `codiceFiscaleAssistito` - - Codice fiscale dell’assistito vaccinato. obbligatorio.
        `condizioneRischio` - - Condizione Sanitaria a Rischio dell’assistito vaccinato. obbligatorio.
        `categoriaRischio` - - Categoria a Rischio cui appartiene l’assistito vaccinato. obbligatorio.
        `codiceAIC` - - Codice dell’Autorizzazione all’Immissione in Commercio del vaccino somministrato. obbligatorio.
        `viaSomministrazione` - - Via di Somministrazione del vaccino. Può assumere i valori:
        - “01” se Intramuscolare,
        - “02” se Sottocutanea,
        - “03” se Intradermica,
        - “04” se Orale,
        - “05” se altra via.
        obbligatorio.
        `numeroLotto` - - Numero identificativo del lotto di produzione del vaccino somministrato. obbligatorio.
        `scadenzaLotto` - - Data di scadenza del lotto di appartenenza del vaccino somministrato, in formato aaaa-mm-gg. obbligatorio.
        `modalitaPagamento` - - Modalità di pagamento della prestazione vaccinale. Può assumere i seguenti valori:
        - “01” a carico del SSN;
        - “02” in compartecipazione o a prezzo sociale;
        - “03” integralmente a carico dell’assistito.
        Nel caso di vaccinazioni AI, AP, AZ, effettuate dal medico ad un proprio assistito deve assumere il valore “01”. obbligatorio.
        `dataSomministrazione` - - Data di somministrazione in formato aaaa-mm-gg. obbligatorio.
        `sitoInoculazione` - - Sito di inoculazione del vaccino.Può assumere i seguenti valori:
        - “01” per deltoide sinistro,
        - “02” per deltoide destro,
        - “03” per quadricipite della coscia sinistra,
        - “04” per quadricipite della coscia destra,
        - “05” per gluteo sinistro,
        - “06” per gluteo destro,
        - “07” per altro sito, Il valore “07” può essere usato solo in combinazione con i valori “04” o “05” della viaSomministrazione.
        obbligatorio.
        `oscuramentoFSE` - - Volontà espressa dall’Assistito relativa all’invio dei dati allo FSE in chiaro oppure oscurati. Valori ammessi:
        - False (0) se l’Assistito non intende oscurare l’evento nel FSE;
        - True (1) se l’Assistito intende oscurare l’evento nel FSE.
        Valore di default dell’applicativo può essere False (0) obbligatorio.
        `statoGravidanza` - - Valori ammessi:
        - 0 - donna non in gravidanza;
        - 1 - donna in gravidanza;
        - 2 - donna che non esclude la gravidanza.
        obbligatorio.
        `somministrazioneDomiciliare` - - Valori ammessi:
        - False (0) se la somministrazione NON è stata effettuata presso il domicilio dell'Assistito;
        - True (1) se la somministrazione è stata effettuata presso il domicilio dell'Assistito.
        obbligatorio.
        `numeroCellulare` - - Numero di telefono cellulare dell'Assistito.
        `contattoMail` - - Indirizzo email dell'Assistito.
      Returns:
        UpdateVaccinazioneResItem restituisce l'esito dell'operazione e l'id vaccinazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### deleteVaccinazione

          public DeleteVaccinazioneResItem deleteVaccinazione(DatiOperatore datiOperatore,
                                                              DatiApplicativo datiApplicativo,
                                                              java.lang.String idVaccinazione,
                                                              java.lang.String codiceFiscaleVaccinatore)

      Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `idVaccinazione` - - Codice identificativo della Vaccinazione oggetto di modifica. obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio. ]@return DeleteVaccinazioneResItem restituisce l'esito dell'operazione e l'id vaccinazione.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### getVaccinazioni

          public GetVaccinazioniResponseItem getVaccinazioni(DatiOperatore datiOperatore,
                                                             DatiApplicativo datiApplicativo,
                                                             java.lang.String codiceFiscaleInvocante,
                                                             java.lang.String tipologiaErogatore,
                                                             java.lang.String codiceFiscaleAssistito)

      Il servizio consente di modificare i dati di una vaccinazione precedentemente trasmessi a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscaleInvocante` - - Codice fiscale del soggetto che invoca il servizio GIAVA. obbligatorio.
        `tipologiaErogatore` - - Tipologia dell'erogatore :
        - “0” Istituto di ricovero pubblico o privato
        - “1” Altra struttura sanitaria pubblica o privata accreditata (ambulatori, laboratori, strutture residenziali e semiresidenziali di assistenza sanitaria agli anziani, a pazienti con disabilità, hospice, consultori, strutture per la salute mentale, SERT, etc.)
        - “2” Centro vaccinale
        - “3” Medico di Medicina Generale (MMG)
        - “4” Pediatra di Libera Scelta (PLS)
        - “5” Specialista
        - “6” Altro
        obbligatorio.
        `codiceFiscaleAssistito` - - Codice fiscale dell’assistito di cui si chiede la situazione vaccinale. obbligatorio. ]@return GetVaccinazioniResponseItem restituisce l'elenco delle vaccinazioni.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### getElencoPianoTerapeutico

          public GetElencoPianoTerapeuticoDemResponse getElencoPianoTerapeutico(DatiOperatore datiOperatore,
                                                                                DatiApplicativo datiApplicativo,
                                                                                GetElencoPianoTerapeuticoDemRequest filtriRequest)

      Servizio che consente di ricercare nel SistemaTS i Piani Terapeutici dematerializzati per un determinato assistito.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - cfMedico,
        - codRegione,
        - codASLAo,
        - codSpecializzazione,
        - cfAssistito,
        - argomento,
        - listaPiani,
        - dataInizioPeriodo,
        - dataFinePeriodo.
      Returns:
        GetElencoPianoTerapeuticoResponse restituisce i Piani Terapeutici dematerializzati per un determinato assistito
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### getPianoTerapeuticoDem

          public GetPianoTerapeuticoDemResponse getPianoTerapeuticoDem(DatiOperatore datiOperatore,
                                                                       DatiApplicativo datiApplicativo,
                                                                       GetPianoTerapeuticoDem filtriRequest)

      Servizio che consente di consultare i dati di un determinato Piano Terapeutico dematerializzato.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - cfMedico,
        - codRegione,
        - codASLAo,
        - codSpecializzazione,
        - numProtocollo,
        - cfAssistito.
      Returns:
        GetPianoTerapeuticoDemResponse restituisce i dati di un determinato Piano Terapeutico dematerializzato
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setPianoTerapeuticoDem

          public SetPianoTerapeuticoDemResponse setPianoTerapeuticoDem(DatiOperatore datiOperatore,
                                                                       DatiApplicativo datiApplicativo,
                                                                       SetPianoTerapeuticoDem filtriRequest)

      Servizio che consente di inviare/modificare al SistemaTS un Piano Terapeutico dematerializzato.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - cfMedico,
        - codRegione,
        - codASLAo,
        - codSpecializzazione,
        - nomeFileAllegato,
        - argomento,
        - nomeFileAllegato,
        - documento,
        - tipoOperazione.
      Returns:
        SetPianoTerapeuticoDemResponse restituisce l'esito dell'operazione
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### setAnnullaPianoTerapeuticoDem

          public SetAnnullaPianoTerapeuticoDemResponse setAnnullaPianoTerapeuticoDem(DatiOperatore datiOperatore,
                                                                                     DatiApplicativo datiApplicativo,
                                                                                     SetAnnullaPianoTerapeuticoDem filtriRequest)

      Servizio che consente di annullare nel SistemaTS uno specifico Piano Terapeutico dematerializzato.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - comprende i seguenti parametri:
        - cfMedico,
        - codRegione,
        - codASLAo,
        - codSpecializzazione,
        - numProtocollo,
        - cfAssistito.
      Returns:
        SetAnnullaPianoTerapeuticoDemResponse restituisce l'esito dell'operazione
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000256: Porta di Dominio Edotto non raggiungibile

    - #### getMovimentiLotto

          public GetMovimentiLottoResponseItem getMovimentiLotto(DatiOperatore datiOperatore,
                                                                 DatiApplicativo datiApplicativo,
                                                                 java.lang.String codiceFiscaleVaccinatore,
                                                                 java.lang.String dataInizio,
                                                                 java.lang.String dataFine)

      Il servizio consente di ottenere i dati di una movimentazione lotto precedentemente trasmessi a GIAVA da lui effettuate in un intervallo di tempo.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del soggetto che invoca il servizio GIAVA. parametro obbligatorio.
        `numeroLotto` - - Numero identificativo del lotto di produzione del vaccino parametro obbligatorio.
        `dataInizio` - parametro obbligatorio.
        `dataFine` - parametro obbligatorio.
      Returns:
        getMovimentiLottoResponseItem restituisce per ogni movimentazione (idMovimentoLotto, dataMovimento)
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### deleteMovimentoLotto

          public DeleteMovimentoLottoResItem deleteMovimentoLotto(DatiOperatore datiOperatore,
                                                                  DatiApplicativo datiApplicativo,
                                                                  java.lang.String idMovimentoLotto,
                                                                  java.lang.String codiceFiscaleVaccinatore)

      Il servizio consente di cancellare i dati di una movimentazione lotto precedentemente trasmessi a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `idMovimentoLotto` - - Codice identificativo della movimentazione. obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio.
      Returns:
        deleteMovimentoLottoResponseItem restituisce l'esito dell'operazione e l'idMovimentoLotto.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### updateMovimentoLotto

          public UpdateMovimentoLottoResItem updateMovimentoLotto(DatiOperatore datiOperatore,
                                                                  DatiApplicativo datiApplicativo,
                                                                  java.lang.String idMovimentoLotto,
                                                                  java.lang.String codiceFiscaleVaccinatore,
                                                                  java.lang.String dataMovimento,
                                                                  java.lang.String codiceAIC,
                                                                  java.lang.String numeroLotto,
                                                                  java.lang.String scadenzaLotto,
                                                                  java.lang.String causale,
                                                                  java.lang.String quantita)

      Il servizio consente di modificare i dati di una movimentazione lotto precedentemente trasmessi a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `idVaccinazione` - - Codice identificativo della Vaccinazione oggetto di modifica. obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio.
        `dataMovimento` - - Data di movimento in formato aaaa-mm-gg. obbligatorio.
        `codiceAIC` - - Codice dell’Autorizzazione all’Immissione in Commercio del vaccino somministrato. obbligatorio.
        `numeroLotto` - - Numero identificativo del lotto di produzione del vaccino somministrato. obbligatorio.
        `scadenzaLotto` - - Data di scadenza del lotto di appartenenza del vaccino somministrato, in formato aaaa-mm-gg. obbligatorio.
        `causale` - - Causale movimentazione.
        - 8 Scarico per Deterioramento
        - 4 Scarico per Rottura Fiala
        - 9 Scarico per Scadenza
        `quantita` - - Indica la quantità di vaccino. obbligatorio.
      Returns:
        updateMovimentoLottoResponseItem restituisce l'esito dell'operazione e l'idMovimentoLotto.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### setMovimentoLotto

          public SetMovimentoLottoResItem setMovimentoLotto(DatiOperatore datiOperatore,
                                                            DatiApplicativo datiApplicativo,
                                                            java.lang.String codiceFiscaleVaccinatore,
                                                            java.lang.String dataMovimento,
                                                            java.lang.String codiceAIC,
                                                            java.lang.String numeroLotto,
                                                            java.lang.String scadenzaLotto,
                                                            java.lang.String causale,
                                                            java.lang.String quantita)

      Il servizio consente di memorizzare i dati di una movimentazione lotto a GIAVA.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codiceFiscaleVaccinatore` - - Codice fiscale del MMG o PLS vaccinatore. obbligatorio.
        `dataMovimento` - - Data di movimentazione del lotto in formato aaaa-mm-gg. obbligatorio.
        `codiceAIC` - - Codice dell’Autorizzazione all’Immissione in Commercio del farmaco di cui si vuole registrare la movimentazione. obbligatorio.
        `numeroLotto` - - Numero identificativo del lotto di produzione del farmaco. obbligatorio.
        `scadenzaLotto` - - Data di scadenza del lotto del farmaco, in formato aaaa-mm-gg. obbligatorio.
        `causale` - - Causale della movimentazione del lotto. obbligatorio.
        - 8 Scarico per Deterioramento
        - 4 Scarico per Rottura Fiala
        - 9 Scarico per Scadenza
        `quantita` - - Indica la quantità di vaccin. obbligatorio.
      Returns:
        setMovimentoLottoResponseItem restituisce l'esito dell'operazione e l'idMovimentoLotto.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.

    - #### setDCRMazzette

          public SetDCRMazzetteResponse setDCRMazzette(DatiOperatore datiOperatore,
                                                       DatiApplicativo datiApplicativo,
                                                       DcrMazzetteRequest filtriRequest)

      Servizio per la registrazione della Distinta Contabile Riepilogativa, delle mazzette associate e delle eventuali rettifiche per la farmacia indicata nella richiesta.
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - Contiene:
        - dati identificativi della farmacia
        - dati della distinta contabile riepilogativa (DCR) e delle mazzette associate
        - elenco delle eventuali rettifiche
      Returns:
        SetDCRMazzetteResponse Risultato della registrazione Distinta Contabile Riepilogativa. Contiene un Bytearray del report di riepilogo della registrazione della Distinta Contabile Riepilogativa.
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 001514: Richiesta non valida: dettaglio errore di validazione
        - 001343: Il certificato è stato sospeso o revocato.
        - 001344: Il certificato è scaduto.
        - 001345: Il certificato non è valido.
        - 001346: CRL non presente. Contattare il supporto tecnico.
        - 001347: CRL non censita. Contattare il supporto tecnico.
        - 001458: CRL scaduta. Contattare il supporto tecnico.
        - 001364: Applicativo non censito.
        - 001363: Applicativo non autorizzato all'utilizzo del servizio richiesto.
        - 000786: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.

    - #### setDettaglioRicette

          public SetDettaglioRicetteResponse setDettaglioRicette(DatiOperatore datiOperatore,
                                                                 DatiApplicativo datiApplicativo,
                                                                 DettaglioRicetteRequest filtriRequest)

      Il servizio consente l'invio da parte dei sistemi cooperanti dei dati di dettaglio delle ricette relative alla DCR contabilizzate per la mensilità di competenza. Si effettuano i seguenti controlli:
      - Esistenza in input di prescrizioni con lo stesso identificativo
      - Esistenza in input di un progressivo confezione duplicato all'interno della stessa prescrizione
      - Codice farmacia già censito nel sistema
      - Identificativo prescrizione già presente nel sistema
      Parameters:
        `datiOperatore` - - Dati dell'operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `datiApplicativo` - - Dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `filtriRequest` - - Contiene l'elenco di ricette farmaceutiche da registrare
      Returns:
        SetDettaglioRicetteResponse Restituisce un esito positivo in caso di registrazione di tutte le ricette avvenuta con successo
      Throws:
        `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio
        - 000201: Utente sconosciuto
        - 000265: Richiesta non valida.
        - 000239: Contenuto applicativo non valido.
        - 000312: Il codice fiscale dell'operatore e il codice regionale del medico di base non sono coerenti.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 001514: Richiesta non valida: dettaglio errore di validazione
        - 001343: Il certificato è stato sospeso o revocato.
        - 001344: Il certificato è scaduto.
        - 001345: Il certificato non è valido.
        - 001346: CRL non presente. Contattare il supporto tecnico.
        - 001347: CRL non censita. Contattare il supporto tecnico.
        - 001458: CRL scaduta. Contattare il supporto tecnico.
        - 001364: Applicativo non censito.
        - 001363: Applicativo non autorizzato all'utilizzo del servizio richiesto.
        - 000786: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.